summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-01-23 12:55:08 +0000
committerV3n3RiX <venerix@koprulu.sector>2023-01-23 12:55:08 +0000
commit47bb4031ea0e98a9423d423f2181c0e3d06f256b (patch)
tree6a54fb70ac916b8ae725d002ac4a71386c8b6e2f /dev-python
parent9a1d1c6b10a4640cea10e7040ed173cf593f4cab (diff)
gentoo auto-resync : 23:01:2023 - 12:55:07
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin260459 -> 260480 bytes
-rw-r--r--dev-python/cachelib/Manifest2
-rw-r--r--dev-python/cachelib/cachelib-0.10.1.ebuild44
-rw-r--r--dev-python/cachetools/Manifest2
-rw-r--r--dev-python/cachetools/cachetools-5.3.0.ebuild22
-rw-r--r--dev-python/denonavr/Manifest2
-rw-r--r--dev-python/denonavr/denonavr-0.11.0.ebuild44
-rw-r--r--dev-python/fakeredis/Manifest2
-rw-r--r--dev-python/fakeredis/fakeredis-2.5.0.ebuild88
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.64.0.ebuild77
-rw-r--r--dev-python/imageio/Manifest2
-rw-r--r--dev-python/imageio/imageio-2.25.0.ebuild82
-rw-r--r--dev-python/markdown2/Manifest2
-rw-r--r--dev-python/markdown2/markdown2-2.4.7.ebuild32
-rw-r--r--dev-python/pip-run/Manifest2
-rw-r--r--dev-python/pip-run/pip-run-10.0.5.ebuild64
-rw-r--r--dev-python/pypdf/Manifest2
-rw-r--r--dev-python/pypdf/pypdf-3.3.0.ebuild62
-rw-r--r--dev-python/tifffile/Manifest2
-rw-r--r--dev-python/tifffile/tifffile-2023.1.23.1.ebuild60
21 files changed, 595 insertions, 0 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index c59c2fa4f2c6..92d5d2a1d9d2 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/cachelib/Manifest b/dev-python/cachelib/Manifest
index 12b7a05404ba..10cb9e8cf609 100644
--- a/dev-python/cachelib/Manifest
+++ b/dev-python/cachelib/Manifest
@@ -1,3 +1,5 @@
+DIST cachelib-0.10.1.gh.tar.gz 29232 BLAKE2B e5cdc9282741aac039a90943ba912274f227a93168656e757994781672ae73cba820d1b737c582716fa0711cf74572d2f81b0a495af6b006ff9138e0180c5758 SHA512 4366b6b0e1291cfd84de60927c61e127af7750b4f7437ba34dc6f5542997b01e3525ef628c7dc4325087fa60cb2e9633b1fd32fdc7d93ebe697333ca0e30355f
DIST cachelib-0.9.0.gh.tar.gz 26407 BLAKE2B 8b1b6c725f5869fda4752db64ab4ee9ee9c748f0ed7e73cb5a9967d18d461cc29779a1e3dc18fcf4b9152f9586ed342fb97e75b4a9b7cb6f5efdeee02f8cf13e SHA512 53b214ba95b0e368e48ddc1e9f904497055e4c37deb0d1946419c3b294eb0e999ea690f2b79bd4801ad80201fb823927bc2024cc493006e20f623955850bba71
+EBUILD cachelib-0.10.1.ebuild 975 BLAKE2B 0e8297a5d10dbe297bdd082ddd857c8ccd0ef02a3e0a69dd717b09f963d81f0fa65151c7c059bf6679ffde28b199b79ea2392a96888a7127bfa039e7ad5298a1 SHA512 b9a6fc56cf1022e959137fabaf10b0d5bee2a1fda8f14df8a3e0fc6ebd18062d494d6cc68c2f4d6f1ca6b47b0144c51c673d289ef7da5482ada59dbd9085d979
EBUILD cachelib-0.9.0.ebuild 864 BLAKE2B 093981e172d986f3ccb2e11fde353188602f985eea818a66e247f2e901c166ae36327d2207694092be9ca3e85542b29c49fe9ed62a6823b517cf8a74eacb22ac SHA512 e5995bf253c21957e89dfdcb5d96643738d59ef51b09ab8ca2b0fd346b6fa281a78cee14da5d380acf8114abdfe0e47f8b7416e97939863da2a86162c3e67930
MISC metadata.xml 510 BLAKE2B 456e0e3b13e50fe5fa9fb866ca2a20a63c180a55691d3cc5e63cea2d16e9e98c61d4f0f5d043f8cf73c2fa80f68eb1b29f182b5bec04356fe1c5965799ea4d7f SHA512 caef760fc497745b37e82a3603d360eb3ca173d1c6d1ee47d8cc358c28db2683446e5ce67a60e267f509e6f7688c9ee3aa5c499539752c014f0830af9896d3c6
diff --git a/dev-python/cachelib/cachelib-0.10.1.ebuild b/dev-python/cachelib/cachelib-0.10.1.ebuild
new file mode 100644
index 000000000000..74784a2e4520
--- /dev/null
+++ b/dev-python/cachelib/cachelib-0.10.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of cache libraries in the same API interface. Extracted from werkzeug"
+HOMEPAGE="
+ https://pypi.org/project/cachelib/
+ https://github.com/pallets-eco/cachelib/
+"
+SRC_URI="
+ https://github.com/pallets-eco/cachelib/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/pylibmc[${PYTHON_USEDEP}]
+ dev-python/pytest-xprocess[${PYTHON_USEDEP}]
+ dev-python/redis-py[${PYTHON_USEDEP}]
+ net-misc/memcached
+ www-servers/uwsgi[python,${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # bug #818523
+ tests/test_redis_cache.py
+ # requires some test server running
+ # (these tests require dev-python/boto3)
+ tests/test_dynamodb_cache.py
+)
diff --git a/dev-python/cachetools/Manifest b/dev-python/cachetools/Manifest
index 6b79b85b6fac..a8adc30df5af 100644
--- a/dev-python/cachetools/Manifest
+++ b/dev-python/cachetools/Manifest
@@ -1,5 +1,7 @@
DIST cachetools-5.2.0.tar.gz 27342 BLAKE2B 905986bca98996fbc74c74bc5710b429ae63b4bf6283a3910e83a92cac461ef4a0271b1691a694fe8ecacf38eeeb921d7345c9e015f1400705662081d5e29dbd SHA512 e12766aef1725091edcdd0ef3687b891242f711de069c0d0642680d61dcca79e645e6ecb5f2e22470f189aba59daa2b5a830dc76791256517368f8912a065eef
DIST cachetools-5.2.1.tar.gz 27401 BLAKE2B 0923744627c83b3c8d5d657730bcb44efbcb211076edb09d4b93149d7ee6856724a818c84ffcc048184060543dfca45f0c136d126143553d461515adda956e10 SHA512 3d86f1ff07f048576d7f7dc44954a7a469ac982e670f9e2ebec6f2a13ae741c9c06b8334e345d81ef8b69ae069056ab715dbea81c9f6fde7a7ff8b283bd7dca4
+DIST cachetools-5.3.0.tar.gz 27935 BLAKE2B 6ef41ef383aebc1d65e2855c6ce2e62ea38163b44f9dca756482ee8f35bbee033b88a3d7d458ea970fafb062f8b202563d478ff3ccae376f424bc643c9dcbe1a SHA512 5f0be2e95b82de4866718744ba1712354b413441eb8978f0bcb3e32306b6671b8ed7fa238aa31bef4c3b97764347d12a375b058f5df51dc80b277bf2cef23e61
EBUILD cachetools-5.2.0.ebuild 510 BLAKE2B 04bcd7368ed1f0aaf10effe972f3ac49b19ede3b507b5a957c6f2548e1d0d044f8896e5188a2bdebcee7efcb7a632d2f876f9802b43d6ef39443e9c1cc6b82ae SHA512 0683a3ae438133b653158f4c0a28a215090bc3b740e693c8efa991c772033afc603fdfafee0fc677645843ee4f5e41ebee6c558fa9a4447330a21226d9fca6eb
EBUILD cachetools-5.2.1.ebuild 519 BLAKE2B 1306122949c5b650437eda87cd3ec9dbfed2d5521cd27e20a25d1e16a9fc4ab5c850118241a8ead8da05d8ea84b812b8be48d47f20cbf6951db9f6c30b1e7796 SHA512 6b979199da22a9b76471f8a1b3745d1f4fd925dca8e0223fc43e21ecc09f83e516c513efc9f8a330877684eb23ddf025630113fbc5c7652b11eebba11c2ddf94
+EBUILD cachetools-5.3.0.ebuild 519 BLAKE2B 1306122949c5b650437eda87cd3ec9dbfed2d5521cd27e20a25d1e16a9fc4ab5c850118241a8ead8da05d8ea84b812b8be48d47f20cbf6951db9f6c30b1e7796 SHA512 6b979199da22a9b76471f8a1b3745d1f4fd925dca8e0223fc43e21ecc09f83e516c513efc9f8a330877684eb23ddf025630113fbc5c7652b11eebba11c2ddf94
MISC metadata.xml 508 BLAKE2B 46dd3d86627746b2b26d9980c2773a25cde3fe6d8ef25bffd88edf1cd2f66a9457f09eea791efc1dab3d354f405bf755992e4a44acd721e4e72f085eabf9b61e SHA512 63d48b1e710965f09538e71b982df8e2fdf5693c6043d5498e4536f76e139584f8783479c1742f91fbe45b4e7bf9eec8d8a54d698734c196bbd8d5a14712b59b
diff --git a/dev-python/cachetools/cachetools-5.3.0.ebuild b/dev-python/cachetools/cachetools-5.3.0.ebuild
new file mode 100644
index 000000000000..b2389ae9952f
--- /dev/null
+++ b/dev-python/cachetools/cachetools-5.3.0.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Extensible memoizing collections and decorators"
+HOMEPAGE="
+ https://github.com/tkem/cachetools/
+ https://pypi.org/project/cachetools/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+distutils_enable_tests pytest
diff --git a/dev-python/denonavr/Manifest b/dev-python/denonavr/Manifest
index 9a9f14cd11a4..05fce538f6d0 100644
--- a/dev-python/denonavr/Manifest
+++ b/dev-python/denonavr/Manifest
@@ -1,3 +1,5 @@
DIST denonavr-0.10.12.tar.gz 167623 BLAKE2B b0d12782e21cf08ba72e069e4952d2c531669de7f357af34f8aa3254cb67c80b75989f67a37281420e7dbb7929082a92327ebf1bb744539e9d2396117ff54714 SHA512 791205d4b367f05388a262935c3e24086cf1603eafc65881fa31e323e9c16c4ac6fd9f09672586fffc63a7a306556183732d71820f05e7c6c66cf17cb33af9c4
+DIST denonavr-0.11.0.tar.gz 171742 BLAKE2B b91008a8eebcc0e228db772f2fe2d0bcd3fe7cc036d8aab2c547698224e63e0cbea2d9e9dcb5244556712ab5e04cb9c5e06731eba93a37061536668065c03931 SHA512 63624ec23db6e953741f4610a7df22fa0a69ae750957e883f0447c7a193c28e3a70245547f270c05bf93fdaca2c22b1fc5147b5e2b886c28049faf7f02b6bcb2
EBUILD denonavr-0.10.12.ebuild 904 BLAKE2B 5ece0c4d3a5da58d449a30d3d5affe7b374ad36a97df57ea822b4640c87ac87fd32f8a98075f67924059c12ab6637ccf422fe37bd69f537119e4f3f9c17e2b1e SHA512 df88c31329c8cfc5e0feeac7a88307ff7ea5ae2cb40ea676d8f42d408221c31eb50a9b9afd96511a565119ccd4da1264d1dba9d3c351a558d2ba65a5f390610f
+EBUILD denonavr-0.11.0.ebuild 1051 BLAKE2B f4911759a899a1a20f600e3cdacf46d374a3147a09bbac172c87d57e61e2a44f26394e685b7af6d190f0f982920e8ea00bb49a38fd2831b2648cace44085cc60 SHA512 c28a974cb26c048199237cabee1e639aa825db02c33abc60eb512bbc1f25fcb39acc03a787a1a762b916deb8be08214d9f9d318d9542572f60b41b5486b253b5
MISC metadata.xml 538 BLAKE2B 7f0ea063a1ebe7cfbab11a8e92b803606c6454ea9bf871bc804f048a58b35e0ab66eafbee64d8d4328e4e3cd5361a810527813c48aba212950f263da2b4454cf SHA512 3531537b37f09f4b0d27d124d1bc698d8b8eeb410a0f3504f315a8002a8443a886959706e437359796623f3462b3d12d89ad677fbde73ee6081c61ed01663ad4
diff --git a/dev-python/denonavr/denonavr-0.11.0.ebuild b/dev-python/denonavr/denonavr-0.11.0.ebuild
new file mode 100644
index 000000000000..d5846bc80fc7
--- /dev/null
+++ b/dev-python/denonavr/denonavr-0.11.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Automation Library for Denon AVR receivers"
+HOMEPAGE="
+ https://github.com/ol-iver/denonavr/
+ https://pypi.org/project/denonavr/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/asyncstdlib-3.10.2[${PYTHON_USEDEP}]
+ >=dev-python/attrs-21.2.0[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.21.0[${PYTHON_USEDEP}]
+ >=dev-python/netifaces-0.11.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-httpx[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_install() {
+ distutils-r1_python_install
+ # https://github.com/ol-iver/denonavr/pull/240
+ rm -r "${D}$(python_get_sitedir)/tests" || die
+}
diff --git a/dev-python/fakeredis/Manifest b/dev-python/fakeredis/Manifest
index ddbaffe7baf9..acafbcc316d7 100644
--- a/dev-python/fakeredis/Manifest
+++ b/dev-python/fakeredis/Manifest
@@ -1,5 +1,7 @@
DIST fakeredis-py-2.2.0.gh.tar.gz 128817 BLAKE2B 8666427966e6a93cd33f521fbc38ecb9bb99e1c1a23506437d48bc6113f272aa89a465dc794b5130ef6dfa584f75f159fce0e3b6a50e5cb89b3bfe43ebcd89cd SHA512 857033a6362a6088cec715571d74a9aa1eb3eb8356ed904b10831540ce5be62d798a211d52fb3d8effab253e50fdb3f2a530d39bd722d8be357426f53fb41fe7
DIST fakeredis-py-2.4.0.gh.tar.gz 132163 BLAKE2B fc3858eb364c63d776c81d715cbfb218dc0e763d568c97b0d1dafb0716aaf87e928f9b81bd49d28fcc235f4285277446945595d42ff1d440e5c8491b78abb6c3 SHA512 5fba3e84d0506b52e1561f750e045b6227ea21387ddb3a89b8a61e9698fc0e9ec80c4a7048d9426fb0d8e9f2acd808e7e07fcb11d14d6852d9b057fec86d6e6a
+DIST fakeredis-py-2.5.0.gh.tar.gz 139911 BLAKE2B 4e9c616b0066012e1ed681d06e73390fb670969c15fa57689244147a0175dbb14ff1c312066ffdc6eb2c647f884c351a98eebfb2c1ba0e6c1bbe1e6c3553808a SHA512 aff5a8679763d4cf1717f790c7c384aa8e5056e5f175c306626f3a1671fe27aa3caf24368831033c9cf5bffa2e3e6be1104b183f3912eadf34fd6f37ea0c63e8
EBUILD fakeredis-2.2.0.ebuild 2000 BLAKE2B f7948d36200ff88c5f996c79939a3a9c204929aac2ea9ba5d54ff47f66f6873f976d20423bebf1ce6b9c814b3c37cb2eb7adac6ff8e76fe9e249304a9bdc5f01 SHA512 cd10a46e35236e07289487829bc17b8026526ee99f41c35c9a56dd8a8bfe2999979bb515f4005a18aa8ec86f718d291b86781b174bd9b7bf691542d4bf6e5f2e
EBUILD fakeredis-2.4.0.ebuild 2084 BLAKE2B 4591f6e8d91b0327225bfc6a2c792eab83298682c4f713786204e570bdca3b166d37616e7729e15f8bcbaf46b2a241ebcf25ce4f3146bdba451750941d6c461f SHA512 fab3b715ef33a7ca5fed697032c74237e52c23e1ca741e03109849a992d397f58705d36f476f0d8873fe47138781d84e29a62d180b9e8715044c72f1b432303c
+EBUILD fakeredis-2.5.0.ebuild 2084 BLAKE2B 4591f6e8d91b0327225bfc6a2c792eab83298682c4f713786204e570bdca3b166d37616e7729e15f8bcbaf46b2a241ebcf25ce4f3146bdba451750941d6c461f SHA512 fab3b715ef33a7ca5fed697032c74237e52c23e1ca741e03109849a992d397f58705d36f476f0d8873fe47138781d84e29a62d180b9e8715044c72f1b432303c
MISC metadata.xml 373 BLAKE2B 1de33db59658e6190cd0346be58208cae6c9143a52f49dc289e68aaa0d860b5bd68dfb54f2e0b005f60a67f5caa430e2ce94fc69e64bd27e1bbebb07ad29e602 SHA512 24bfcf4919363fef45c182b6de66221e580ee0e9e99ce46e91b767655dc0b6f8a9fa6c3512ba84d1040698c43a0b6a853ad8d63c1ee5fbc00a1d192defb24db5
diff --git a/dev-python/fakeredis/fakeredis-2.5.0.ebuild b/dev-python/fakeredis/fakeredis-2.5.0.ebuild
new file mode 100644
index 000000000000..4186af5980d2
--- /dev/null
+++ b/dev-python/fakeredis/fakeredis-2.5.0.ebuild
@@ -0,0 +1,88 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{9..11} )
+
+inherit distutils-r1
+
+MY_P=fakeredis-py-${PV}
+DESCRIPTION="Fake implementation of redis API for testing purposes"
+HOMEPAGE="
+ https://github.com/cunla/fakeredis-py/
+ https://pypi.org/project/fakeredis/
+"
+SRC_URI="
+ https://github.com/cunla/fakeredis-py/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/redis-py-4.2[${PYTHON_USEDEP}]
+ <dev-python/redis-py-4.5[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin redis
+ sed -i -e '/redis/s:<[0-9.]*:*:' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # also lupa
+ test/test_aioredis2.py::test_failed_script_error
+ # TODO
+ "test/test_fakeredis.py::test_set_get_nx[StrictRedis]"
+ "test/test_fakeredis.py::test_lpop_count[StrictRedis]"
+ "test/test_fakeredis.py::test_rpop_count[StrictRedis]"
+ "test/test_fakeredis.py::test_zadd_minus_zero[StrictRedis]"
+ "test/test_mixins/test_pubsub_commands.py::test_pubsub_channels[StrictRedis]"
+ )
+ local EPYTEST_IGNORE=(
+ # these tests fail a lot...
+ test/test_hypothesis.py
+ )
+ local args=(
+ # tests requiring lupa (lua support)
+ -k 'not test_eval and not test_lua and not test_script'
+ )
+ epytest "${args[@]}"
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index c8dab9a60aed..df3ffee01a57 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -4,10 +4,12 @@ DIST hypothesis-6.61.3.gh.tar.gz 9339977 BLAKE2B 2bd7f2828563694f678eacc3537e920
DIST hypothesis-6.62.0.gh.tar.gz 9341805 BLAKE2B 44a7f9a15f93e402405226d40293ea29954b1a85df02c18386aa0eebc72d973005402664df1f0594d30b25e2f4c43ed56c4a79ab0ad6627196ff5661ee6fff0a SHA512 5ccc098ca738f634972c210ba2cbf02f4f4f909ac7f963a0e761fe2868679854d1b51036b09c61f8cabff000b9f14221ead43740a9f17538138f67be9bd04815
DIST hypothesis-6.62.1.gh.tar.gz 9342261 BLAKE2B 68ffa2294e667e1182ddc96d2b2595723ae38077a63c8f5c8d45ed232536f6749c15912ca9fa61280e9564ac117fc8f94555a564aef5bdfcb8f9bdc38faa8c3e SHA512 1f886de0ae1c4e3371a60e45f00f265542cefa89ce1a109f794ceff3eaa648e2faf566b86b0921e5741b5d8b8d285169387426d8a069410e86642a95380e312e
DIST hypothesis-6.63.0.gh.tar.gz 9342417 BLAKE2B edd4795c9fc4e254fda89fff7554965f350c9dcb738095f4ddb1da16a169ea0b72a52ce4321543efa97f69382a76307d622c37e81e3372867e57ad9ef2060d0b SHA512 9e863d72abea9431d027fbffe39107bb95dc9e80c423d2a69b039489119841fbcc99ddf54248b5d8a797bccdeb450760101862baa3be113c7715430591d054a6
+DIST hypothesis-6.64.0.gh.tar.gz 9345246 BLAKE2B 2ee9a14e84bb72a8248c28096a31b4873f51c121b6446cbcd5d2831418f769ba464d2aead1a52f3da23e640f46e05e7af8927c65113fc7fb3ea59086324c2210 SHA512 4da49b4ab62e9c90770c098653d3b43bbf3fbf8b7aca27546ae2ce0be7923cbabe240a73d124e4e48fc9b8a3e06d31e336b18b875b743992e175acfe2cddd270
EBUILD hypothesis-6.61.0.ebuild 2132 BLAKE2B be04a23a6cc71d17c7585c98d1df3e8bf9a32c84897a5328fba61561c756d8bbcbfdcf778debfa99d3555f430f697720a1bcf083e3422d55116f5649e901ae44 SHA512 61d1b1390b920c328bbafd1b80c7f1c934f5483972bfaba692ed95cd5478bbaa62bc65438665037b6bc10b0050477c02597f2fdc9536963d6769f23cdcd5f721
EBUILD hypothesis-6.61.1.ebuild 2140 BLAKE2B 2f30425aa0adf1a75d387919c79d317184887d591f26317945b877349a9ae6e3b6305dc4fbb6734954125e704c2709859e3ea558b21326ac715947df8bc989e1 SHA512 84b885785fd94b11d69783af8a4b119bc434adbae1612687841cac5c627954c0e83480d66ec4b5e129350310a807db73f43e914b6412e4ead6808c22c40fd990
EBUILD hypothesis-6.61.3.ebuild 2140 BLAKE2B 2f30425aa0adf1a75d387919c79d317184887d591f26317945b877349a9ae6e3b6305dc4fbb6734954125e704c2709859e3ea558b21326ac715947df8bc989e1 SHA512 84b885785fd94b11d69783af8a4b119bc434adbae1612687841cac5c627954c0e83480d66ec4b5e129350310a807db73f43e914b6412e4ead6808c22c40fd990
EBUILD hypothesis-6.62.0.ebuild 2140 BLAKE2B 2f30425aa0adf1a75d387919c79d317184887d591f26317945b877349a9ae6e3b6305dc4fbb6734954125e704c2709859e3ea558b21326ac715947df8bc989e1 SHA512 84b885785fd94b11d69783af8a4b119bc434adbae1612687841cac5c627954c0e83480d66ec4b5e129350310a807db73f43e914b6412e4ead6808c22c40fd990
EBUILD hypothesis-6.62.1.ebuild 2140 BLAKE2B 2f30425aa0adf1a75d387919c79d317184887d591f26317945b877349a9ae6e3b6305dc4fbb6734954125e704c2709859e3ea558b21326ac715947df8bc989e1 SHA512 84b885785fd94b11d69783af8a4b119bc434adbae1612687841cac5c627954c0e83480d66ec4b5e129350310a807db73f43e914b6412e4ead6808c22c40fd990
EBUILD hypothesis-6.63.0.ebuild 2140 BLAKE2B 2f30425aa0adf1a75d387919c79d317184887d591f26317945b877349a9ae6e3b6305dc4fbb6734954125e704c2709859e3ea558b21326ac715947df8bc989e1 SHA512 84b885785fd94b11d69783af8a4b119bc434adbae1612687841cac5c627954c0e83480d66ec4b5e129350310a807db73f43e914b6412e4ead6808c22c40fd990
+EBUILD hypothesis-6.64.0.ebuild 2140 BLAKE2B 2f30425aa0adf1a75d387919c79d317184887d591f26317945b877349a9ae6e3b6305dc4fbb6734954125e704c2709859e3ea558b21326ac715947df8bc989e1 SHA512 84b885785fd94b11d69783af8a4b119bc434adbae1612687841cac5c627954c0e83480d66ec4b5e129350310a807db73f43e914b6412e4ead6808c22c40fd990
MISC metadata.xml 756 BLAKE2B 26e40ab96ddcbd5751023e3c0cc9aa86e96d73ba02bca750ad15eb4301beb0318d3d694c54c2c2a2cb50937731af727411e8afb67e1a21e58e0ff611eeea9149 SHA512 cd48d35c5fe41aa9efcfea9eb7b2d78a4646658b5aab7533ca6492d4700032099fd34ca2dc45a6198c27351650c9e901c8b7c4d53ade2b56695d5e26ca371238
diff --git a/dev-python/hypothesis/hypothesis-6.64.0.ebuild b/dev-python/hypothesis/hypothesis-6.64.0.ebuild
new file mode 100644
index 000000000000..c793a8a143d2
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.64.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{9..10} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" python3_11 pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ epytest tests/cover tests/pytest tests/quality -n "$(makeopts_jobs)"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/imageio/Manifest b/dev-python/imageio/Manifest
index 351ab013771c..c60233e8e6bc 100644
--- a/dev-python/imageio/Manifest
+++ b/dev-python/imageio/Manifest
@@ -1,8 +1,10 @@
AUX imageio-2.22.0-block-download.patch 1211 BLAKE2B c01e3fd7db7463bc11bf331384a21becfc3160d4880a2fd09e47bf0927d97e46787097f50a489b83c2626078b60a0cf8a0d896040981e78c107f1783c8e84c26 SHA512 170261b9fb07ccb7f7a7e058335326df1f72c8d098076bf6ca048a7ca6bac95ddb512b9e41740c385430bc25613249455203addd59931af4e70298e772303964
DIST imageio-2.23.0.gh.tar.gz 395916 BLAKE2B 2ca40f70dfc3f79084933a22ab2f841ecee0c5f0768dd73ea264a366853cc582111e677fb1521f74f3b2ff516f0ab51de013e8e013dafbe5cf0386faf21b75f5 SHA512 dcdea9fb245495b0882630f18bd5503c4e36fa3f3b50dc58712a8a246424855cd0f280e026889eb8a6a4f7d833792f87d373f645e59ff39fb81514ada79f4248
DIST imageio-2.24.0.gh.tar.gz 401266 BLAKE2B a5b247304edc53288d1589b2ff9e6efcd221f56581624bf0df6c18171841aebf334e1394110470d18c7fc33a4f5b27b52c7e76e51d2129fddefbb73932e02cb5 SHA512 ec86136701945deeb79db64a8e0787234f9d4b62e30be22a8d6f53d4daa2abaa6d2b1a95eaf7f6f97559f99427734cd4b85145feed5fbb53356d902cc391a998
+DIST imageio-2.25.0.gh.tar.gz 401690 BLAKE2B 3c7faa7aae06b098a171ad168cd28d14abbc32d519a373ab77c4bec30913faa7baafc2f0b4721a80ee72a6e7b479c12fe27e707c4a90bcaaf2ebceb2b4b39577 SHA512 e887d8572f4698b6cd6fad832054cbce2550a4165e65704c2f990b500234cc938c68b9840bc8961a7258cf4cfa91c3ac909c7965de689b00b04195ab1120850c
DIST imageio-chelsea.png 221294 BLAKE2B 58537d7a1678fa5be4cc899e5bacd925bfc180eb4ae691330a53749a49ff544e979609b529ed27e5c1fc9efe4bc050ca1ce49b777f4016fb1d66affd926ef9d3 SHA512 48470cdb843eed4dfa6673811c09c5aac9869ee23dd36be0c6b653d9f108d61d21b148c2a4435aaa6604887ba030e5bbc5e35d378da876366445dfc2d0ba4e27
DIST imageio-cockatoo.mp4 728751 BLAKE2B 45b22cd517c1cb7c0cd12f8865facaca6a847047aea716e49633cf2b1dc13826f94787c8a8f9dd5f48c6a896f5d37794c0058da1bde9e1469f196916476dbfa2 SHA512 e9cb7c25de8019c59ba4090cf10ab29f2b5d62ada37a877081ca07d2ecfe010036222ae843b41bbcc843130d97fa5e14421de252639e9481df1d1c27b19add49
EBUILD imageio-2.23.0-r1.ebuild 2071 BLAKE2B 44792b60cec1116e5e214dde902a86461d4b4f84ce44a6eb8bb5498b7169bb09bfca97115decb981a323f252859f5d82fd590cdc7fd737825841123930b377cb SHA512 9cfbcdb9cd56e36526d4994af69494a7343fb9c844ade1d963dc96b15727ee4c3564d1163dd47312e86f0584e2c538cd6dd368f750cf499db026cf0a0b11e367
EBUILD imageio-2.24.0.ebuild 2071 BLAKE2B 10ff98b2b56ca3e3ecc2b34a0196efb3512e7e17b7b79e3abdda530552fc790e32ac033b07d9875acf85578a35eb22f67de6c5304db850fdf1eb549312b75d6f SHA512 a381707af28eb925fb71c51bd88233039cd9abd7fd347bec4ecd64542a4c4ddb8628d1a5aec89aaf3f4f01ef12f0b77229a1f0bc9e0a4de35a646fddc77379e7
+EBUILD imageio-2.25.0.ebuild 2071 BLAKE2B 10ff98b2b56ca3e3ecc2b34a0196efb3512e7e17b7b79e3abdda530552fc790e32ac033b07d9875acf85578a35eb22f67de6c5304db850fdf1eb549312b75d6f SHA512 a381707af28eb925fb71c51bd88233039cd9abd7fd347bec4ecd64542a4c4ddb8628d1a5aec89aaf3f4f01ef12f0b77229a1f0bc9e0a4de35a646fddc77379e7
MISC metadata.xml 702 BLAKE2B 646c6a83e6d8e345fddb9cbc42a83c1193b9590937cd652e293d03e6e9d4b240a69e6e86399f5edc9ef05f96d1d4c3713dfa65f8b13984f4483b2ce76a239429 SHA512 5e1e4db52fed55ab837c70ddb9ec81a7ce0b062064e2d33cb5771cd81d50a1a2164e446531c32a405bb9319acd736141765dcd00e36d6db770434a656ad925e1
diff --git a/dev-python/imageio/imageio-2.25.0.ebuild b/dev-python/imageio/imageio-2.25.0.ebuild
new file mode 100644
index 000000000000..30875e33909b
--- /dev/null
+++ b/dev-python/imageio/imageio-2.25.0.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+BIN_COMMIT=224074bca448815e421a59266864c23041531a42
+DESCRIPTION="Python library for reading and writing image data"
+HOMEPAGE="
+ https://imageio.readthedocs.io/en/stable/
+ https://github.com/imageio/imageio/
+ https://pypi.org/project/imageio/
+"
+SRC_URI="
+ https://github.com/imageio/imageio/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/imageio/imageio-binaries/raw/${BIN_COMMIT}/images/chelsea.png
+ -> ${PN}-chelsea.png
+ https://github.com/imageio/imageio-binaries/raw/${BIN_COMMIT}/images/cockatoo.mp4
+ -> ${PN}-cockatoo.mp4
+ )
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# over 50% of tests rely on Internet
+PROPERTIES="test_network"
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-python/numpy-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/pillow-8.3.2[${PYTHON_USEDEP}]
+ media-libs/freeimage
+"
+# requests for fsspec[github]
+BDEPEND="
+ test? (
+ dev-python/fsspec[${PYTHON_USEDEP}]
+ dev-python/imageio-ffmpeg[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/tifffile[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ local PATCHES=(
+ # block silently downloading vulnerable libraries from the Internet
+ "${FILESDIR}"/imageio-2.22.0-block-download.patch
+ )
+
+ if use test; then
+ mkdir -p "${HOME}"/.imageio/images || die
+ local i
+ for i in chelsea.png cockatoo.mp4; do
+ cp "${DISTDIR}/${PN}-${i}" "${HOME}/.imageio/images/${i}" || die
+ done
+ fi
+
+ distutils-r1_src_prepare
+}
+
+EPYTEST_DESELECT=(
+ # Fails because of system installed freeimage
+ tests/test_core.py::test_findlib2
+ # Tries to download ffmpeg binary ?!
+ tests/test_ffmpeg.py::test_get_exe_installed
+ # blocked by our patch
+ tests/test_core.py::test_fetching
+ tests/test_core.py::test_request
+ # known broken
+ # https://github.com/imageio/imageio/issues/890
+ tests/test_freeimage.py::test_exr_write
+)
diff --git a/dev-python/markdown2/Manifest b/dev-python/markdown2/Manifest
index adc9938e4055..a70463655a7f 100644
--- a/dev-python/markdown2/Manifest
+++ b/dev-python/markdown2/Manifest
@@ -1,3 +1,5 @@
DIST markdown2-2.4.6.tar.gz 118321 BLAKE2B d6d053f9f19da0857664275280c9e12d59da9c88db5643df04c4538b3ac9e24feca66361dd05685b2a0d0281af353324e1b051bc315e78f2be9edb20367fa9be SHA512 4c8dbbfa828e6a01e05e714a5d79f8ec4137e80bbd221251d81fc9185f175dc9ac7ebd7b043d052a4b0c2963715d0d25429a22b2671f1512e92c48177c56e2ea
+DIST markdown2-2.4.7.tar.gz 118721 BLAKE2B 26cb03513a2665f40eb2c68e752aed3cfa78f6039d89da1a33a9de0996b37e2358c44f9e5078f5954a6b8ef3981aea2b06bc263fca16f1b0fad488c18387159b SHA512 e352578f57d6cdf3e59cb2ae10de218a8196cdbafe6257d76549758ead4997a33c65238664115232be4dbb3c63a81df4eb87c3a1248be8fb472d594e3fae087b
EBUILD markdown2-2.4.6.ebuild 703 BLAKE2B fd03278eb5c6904806e915e9b83b7ebd2588c33f94a74dd612c13a8068e4714263e2aa19ff06be06a62b8d9f9ec05424dd0b2cbd4c28bc2829b40b56b8fe3b5f SHA512 30efbccbf7a543fbf59cdb5303acf33d7723880db42900eec8f5b5321ee097673d2054c2a14ec0c22ced0c662fa1642f335c7f852e58291253b9eccbe6162d38
+EBUILD markdown2-2.4.7.ebuild 707 BLAKE2B b318480e9a43715f08f342c514d3e41a368548cf463345b6001d523148bdf817e001b2fe428d52464a0282d5947e6d7262b000a7a2624c002e237a977147279e SHA512 8755ed11ed3afdaff11a5ca5969df8905f10e54f1497c05369e26398b3763c0ef0930905f594cea33a9e6951e07c35db37edd6f36e335b7e9855b5b9b5792c59
MISC metadata.xml 551 BLAKE2B 293046752073df3a0fe72acea3165d62ae78297f82aa72e40edeaab6bb6021ccbeaa8cc145341aa05dd3fe87c2f89e88f2281ca95ead33d99bbfc5ba53573ca1 SHA512 9d30d896754f1379f4fae79f86bec966cc3639a42e5e7bcc7e8d2e94881ee8a75b7e3ddedbc1573f1eb3c429aea636512efdb887f2827dc1b1aaa4caaa44e413
diff --git a/dev-python/markdown2/markdown2-2.4.7.ebuild b/dev-python/markdown2/markdown2-2.4.7.ebuild
new file mode 100644
index 000000000000..90f2a8132487
--- /dev/null
+++ b/dev-python/markdown2/markdown2-2.4.7.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python Markdown language reimplementation"
+HOMEPAGE="
+ https://github.com/trentm/python-markdown2/
+ https://pypi.org/project/markdown2/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/pygments-2.7.3[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+python_test() {
+ cd test || die
+ "${EPYTHON}" -m unittest test_markdown2.py -v ||
+ die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/pip-run/Manifest b/dev-python/pip-run/Manifest
index 541b9f500739..007d60c9b2d3 100644
--- a/dev-python/pip-run/Manifest
+++ b/dev-python/pip-run/Manifest
@@ -2,6 +2,7 @@ DIST pip-run-10.0.1.gh.tar.gz 25236 BLAKE2B 319f67420f44c4df1ea950f920de16f3187f
DIST pip-run-10.0.2.gh.tar.gz 25253 BLAKE2B 9ed3066e70109e64a907426752757881d1c95af304f5f114a270e767945d327ec49eebf2bcae1f2f469151446626cb5204d419c63e8701ec90091a4522a9cd7b SHA512 2d0e8e891aa93b36daefa9259a437ea29860bdc07d986f244ad3fc485351a50f68b5ba53fe6431e42b7a04c437195ef58342674b247f001a4aea5181f31ee03d
DIST pip-run-10.0.3.gh.tar.gz 25330 BLAKE2B 43a1e21674cd717be2059bcc599f80db10529f06f6dd903bb7ea1d0e65fa63ce7f6996945c9a123981009a05b87e22819df5266ff07f9ca20f45764698d83d88 SHA512 47e94382985d144bc2bb4ea528ad54ee54c98c8d217d3dff3b7bbe6eeb4e1221b66735f2c930354ae0045a7d7631fd8514e439a0e6b15299784c8b2c47c4070a
DIST pip-run-10.0.4.gh.tar.gz 25454 BLAKE2B c159f9e581d87d7c0b8e9f10ecfe200b4088205a2a5d50092b4d0032288e93a0fda168a80d330c5f6aab9d32d7d15ff461313073cb3235a92ba660d6461ee65c SHA512 fd7e26e62a2c27032b0161b757b2efdd1f8bd64f78b24843c16a67bb856773b7d6350af7e09ec4aafe13cb290d352134c5e7ddb39c339622a6526f44f37c9178
+DIST pip-run-10.0.5.gh.tar.gz 25463 BLAKE2B a25d6f06aa53dabbb15fec0f5a051bd7d612fb96bb1557ac25cd5611db7963110cb5aa8be376fe199e7e9438b3b28930fd45626af1246deb48c41de9b61b8264 SHA512 6595c9b3b635a5bb5ae6e61478986531698947fb4289734b8c689f902afe7726efda283df43530253fc0f9b9416db13c4645a7ac0ed4d2ac8d87a71e9a9923ab
DIST pip-run-9.0.0.gh.tar.gz 23171 BLAKE2B ca1bee27f4d1826029aa2520dbad9807d22ce66326fd917f0b7687284ce3daf9abcd45e593d735633fb86186ea88ffa0b71780f9b56e27458798763db309bd9d SHA512 117b2260fe628dcc5aae47335ab645c2db47ca9b4d5cd0446ef11bb399c0e91df3a32b61aa7a228aca4d7b837228ddb41fe010896f7debf5fbca6111398cce73
DIST pip-run-9.2.1.gh.tar.gz 24104 BLAKE2B ebb26cd5356a5919d74c6601b36deed0046c0d67d7533f5817b62b7b7ba74240ef44dd2425be7143f8432d3f8a3f611a051f099b6059e64479eadd77e8f39b45 SHA512 f320da7641817df5c9418094fb49792e3368907ddac551ef22d97ab45b5183cb84f40338da106d5a47d238ca68ca376cbfc6d6c3528b9fca1db02bf910bd3d28
DIST pip-run-9.4.0.gh.tar.gz 25821 BLAKE2B 8d4d9712f0563d3edf8d963e14221fde89cffc14c3fb26afc2b18bdeca9917cacb27c88a815d398d2b67f10112e888c9f60b497c3c1bf59d0105a4c972aef15d SHA512 c266e6eb30f21ddfd89cc25dee5c56542b3734497d59315751c190e7bd985c6746b95802255ec05da19d5cec8822f4fa169eba4218989013e36a2c118d560f4d
@@ -10,6 +11,7 @@ EBUILD pip-run-10.0.1.ebuild 1332 BLAKE2B 87e7772b716b8779c2f3bc0dc75c86ff7a184a
EBUILD pip-run-10.0.2.ebuild 1519 BLAKE2B 18bcbae693854768e285278c3d09d939eedb8047e8484948476ac82021b9fa4a6ba5f186df3f735707833acdb5812d69d19fb9c07ad8733ff7b36128aa34a943 SHA512 1f1de9883d7222869d73d81d7e12a63d15ce0c7dcaffbdf997d1483e96c465b72a50aaed013fe5dcf3fbf51c64dab48c39a61b455648a2f734f8c022dc954bdf
EBUILD pip-run-10.0.3.ebuild 1525 BLAKE2B 59a47f94333b9a4ed51919833b722454731b86c95dec64747d74513f748504fbc09481c8daaebdcaecb95e965d664b0182c2393416ebe3df093e2087a9794ab7 SHA512 2a0856b77811a6a33e792d504b4a57b6c60d78f0cc6779ad87513577fffc7488e4ea75a6f9318a85585bc263593d6c9a0b44fa7189b8659b7c82f5161e803465
EBUILD pip-run-10.0.4.ebuild 1525 BLAKE2B 59a47f94333b9a4ed51919833b722454731b86c95dec64747d74513f748504fbc09481c8daaebdcaecb95e965d664b0182c2393416ebe3df093e2087a9794ab7 SHA512 2a0856b77811a6a33e792d504b4a57b6c60d78f0cc6779ad87513577fffc7488e4ea75a6f9318a85585bc263593d6c9a0b44fa7189b8659b7c82f5161e803465
+EBUILD pip-run-10.0.5.ebuild 1525 BLAKE2B 59a47f94333b9a4ed51919833b722454731b86c95dec64747d74513f748504fbc09481c8daaebdcaecb95e965d664b0182c2393416ebe3df093e2087a9794ab7 SHA512 2a0856b77811a6a33e792d504b4a57b6c60d78f0cc6779ad87513577fffc7488e4ea75a6f9318a85585bc263593d6c9a0b44fa7189b8659b7c82f5161e803465
EBUILD pip-run-9.0.0.ebuild 968 BLAKE2B a0b2738cb47b68ceadb1605b61d937aa1e8579111f07495d24a8bb7b0f8bb3d70e5a7872278b1d47953e6f1fb6d00984c6f150470e00b951a70c828ceb3fb9f6 SHA512 b92cbabea151365860151507ba9252a694c2bc6b79111befd1aa9303edd98dc5a10f7b5f5db609f5fcf761fa6c6a9228dfdc2f5b0a82c9a8df8977fc75647764
EBUILD pip-run-9.2.1.ebuild 1149 BLAKE2B 1821c6818b5a005362fa042b985a98d0c090f4ea29b62fdb259e96b193338ac61b80d96292390bca769fceff37cdf054b144c89dd0e90a078bdac6e861a56d6d SHA512 b5de8bbd4b35bef989ac1873d2cde4b363d838503fff4f9721d694a0a1dac026fa80b01d1e9e02339bd7d60b3095e45035a8f8b487bc5bbcc74025643f0459cb
EBUILD pip-run-9.4.0.ebuild 1192 BLAKE2B 85050d1cadd09ee873c8677ce80bc715e7dc91291599573430926d8aa596bc9ad0d12639ff54d183230ac744ecce19232a8527fbb3dc0804117131d953e0433a SHA512 0e5424c96eb2b9f2061019c0bddc56656ba0a88bbd22364f91c51ed5113087888a6128f78d68a32dec04961f476c63cd179407bea0219a4017ddd463f6ada585
diff --git a/dev-python/pip-run/pip-run-10.0.5.ebuild b/dev-python/pip-run/pip-run-10.0.5.ebuild
new file mode 100644
index 000000000000..079b0a5465d1
--- /dev/null
+++ b/dev-python/pip-run/pip-run-10.0.5.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Install packages and run Python with them"
+HOMEPAGE="
+ https://github.com/jaraco/pip-run/
+ https://pypi.org/project/pip-run/
+"
+SRC_URI="
+ https://github.com/jaraco/pip-run/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~x86"
+
+RDEPEND="
+ dev-python/autocommand[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' 3.8)
+ dev-python/jaraco-context[${PYTHON_USEDEP}]
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+ dev-python/jaraco-text[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-8.3[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/path[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/platformdirs[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jaraco-path[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-test-5.3[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local EPYTEST_IGNORE=()
+
+ if ! has_version "dev-python/nbformat[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ tests/test_scripts.py
+ )
+ fi
+
+ epytest -m "not network"
+}
diff --git a/dev-python/pypdf/Manifest b/dev-python/pypdf/Manifest
index ea961207b419..4a68cde2c803 100644
--- a/dev-python/pypdf/Manifest
+++ b/dev-python/pypdf/Manifest
@@ -1,6 +1,8 @@
DIST pypdf-3.2.0.gh.tar.gz 6618810 BLAKE2B 33ade8743339415b58f2397a55972479bdfd6ed87c68ea9cc1c9f05c80210a6265e97f1f26dfc3bd2bd74c6c11ab45d8a3d9ded1b150e96f804f9893c74fb517 SHA512 a3db36086733f6bfdfd4e6b56dc976e30c2940362fcf1e8b4c61b3c8d421c870821eb7c5dcbc41e6362f487d474c5d2bcfbe6b9aabd8c496d3a030aa40d1af57
DIST pypdf-3.2.1.gh.tar.gz 6619758 BLAKE2B 157d66c86d605aea8d578713e0a8e72966cadcde7884f85af558a9759db5fe1c73c0467237bb185d1f60e02a0979db1edbdadb585e9785c8236e0d1e4a91d7d5 SHA512 1117c76b03d5d33c2b619b6e47a6566b0c8e890b96ac558f1b1ab4ef4b7b795934985a3b70abe48cbb756c1df3c7c08c082791b167cdeeaeeed2b9254552d0f9
+DIST pypdf-3.3.0.gh.tar.gz 6803536 BLAKE2B ff70995882581c816fbf7410232c68e9649632161b4927543924a11b1a0a816f1178be399079e32078fe8d89a2aa9cd0eb1562409dc8e7bd388cad3afde37198 SHA512 5db25d6c4b41a1d19b45fa907f53e0106e01c93eb4152079dc4ffbd7bf28fbf8915bf0e3bf1af4a371e805657884fe2c42de4856944085ca7bc07a477f3ba588
DIST pypdf-sample-files-0fe84b30ed33ff3daa9293e44349b8618f135699.gh.tar.gz 9027166 BLAKE2B 912bb9fbd632bd0ad2cc2e865a1e6870ad7064aa2cf4d6f96217f63ac685e9a511f0bb20c22d48ae970a2eb171b27a0fa680fa42892425531f69735840cf741b SHA512 07a71a3566dabcea5dc8a549949d0f0c0f9483d5d9f85851d6e4e702dd374b348469a80e5300d18983e560ee9a44d0639b55eb338023b9ebbdb26c6f8c455e07
EBUILD pypdf-3.2.0.ebuild 1369 BLAKE2B 6cb454e1d1c8c46c3f5ab952f09819b41a3564306fcbfb9d2f43f15a464021cea5d72422d76625b14334e8c1368116969ff1d3a91a1135ffd833012349d0b72a SHA512 a6bce2001c1aefe1c49a73459e4289b5f9682338a11e1c50e3b00a0e64a964db408b0392f3297c5566f372ad6f196024bb95e1e0dac71045158ff1f5ba533d5f
EBUILD pypdf-3.2.1.ebuild 1369 BLAKE2B 6cb454e1d1c8c46c3f5ab952f09819b41a3564306fcbfb9d2f43f15a464021cea5d72422d76625b14334e8c1368116969ff1d3a91a1135ffd833012349d0b72a SHA512 a6bce2001c1aefe1c49a73459e4289b5f9682338a11e1c50e3b00a0e64a964db408b0392f3297c5566f372ad6f196024bb95e1e0dac71045158ff1f5ba533d5f
+EBUILD pypdf-3.3.0.ebuild 1369 BLAKE2B 6cb454e1d1c8c46c3f5ab952f09819b41a3564306fcbfb9d2f43f15a464021cea5d72422d76625b14334e8c1368116969ff1d3a91a1135ffd833012349d0b72a SHA512 a6bce2001c1aefe1c49a73459e4289b5f9682338a11e1c50e3b00a0e64a964db408b0392f3297c5566f372ad6f196024bb95e1e0dac71045158ff1f5ba533d5f
MISC metadata.xml 373 BLAKE2B a829b7048eb3a95caeb1be83b6172603df6a031d40995294f2687bf3c3cb70e66fafb9ba8339d9979fc85f5936b9552963a8fcd072a20661fa78f3aa3c4b89c0 SHA512 775ac2de487f11fba1ea8d283b42b9ef56e42cd95ea11f50a06b099420e69c0567f65c506b14891ac641da90ea05ca70da4f8a3e4a028cf41bdbc823021dccfe
diff --git a/dev-python/pypdf/pypdf-3.3.0.ebuild b/dev-python/pypdf/pypdf-3.3.0.ebuild
new file mode 100644
index 000000000000..646a669f191b
--- /dev/null
+++ b/dev-python/pypdf/pypdf-3.3.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=0fe84b30ed33ff3daa9293e44349b8618f135699
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/pypdf/
+ https://github.com/py-pdf/pypdf/
+"
+SRC_URI="
+ https://github.com/py-pdf/pypdf/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+S=${WORKDIR}/pypdf-${PV}
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+RESTRICT="test"
+# 150+ tests require network, too many to deselect
+PROPERTIES="test_network"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # rely on -Werror
+ tests/test_utils.py::test_deprecate_no_replacement
+ tests/test_workflows.py::test_orientations
+ # dead URL
+ # https://github.com/py-pdf/pypdf/issues/1526
+ tests/test_xmp.py::test_issue585
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${S}"/sample-files/ || die
+ fi
+}
diff --git a/dev-python/tifffile/Manifest b/dev-python/tifffile/Manifest
index cf2583bfa4b8..202c63aec44c 100644
--- a/dev-python/tifffile/Manifest
+++ b/dev-python/tifffile/Manifest
@@ -1,3 +1,5 @@
DIST tifffile-2022.10.10.gh.tar.gz 315965 BLAKE2B 9f1d5c37062fd2fd2c30411b479d77977d387e4df19ae795fba085179f7ad0e3dfafa6068ccc895586f59a2437a1203748b3e1bbeb0f4a2d433728c2e79fc47a SHA512 7ccd6b4b802e63ca2646ea4f716fb16f02a091042c02d200c7a6756dc06a60d7d165aa5fefc63db954e60dcaf6bf8626349de7e4b836394b70df7ee71ec28790
+DIST tifffile-2023.1.23.1.gh.tar.gz 324017 BLAKE2B ffc4a329096ac3eb44990635dea4f5d0211564d5a8847795671d3d816148721d3c6fab059514764eb45bc48c8a114382c0a1705cc606d750ef869d49e67b2c85 SHA512 fad8e2f40cc550a83030b29b528566d7b5b9cbe016c9fd04911ab4cca4e8e69523d9b17db83eee018d1ff3005cab0f36762b4a1271859b504c77a0809e07b0be
EBUILD tifffile-2022.10.10-r1.ebuild 1424 BLAKE2B ce6678d2af8e80d05d39302422d9b8c16be8e719f67de0983461185979091eb7900ccde86fb36eb06e6858ce2771c679ec809a6e4c964906df9bc97c5548ff0f SHA512 d2de577d3ac4a91c2a3797b8e8a8476d743969c2397fbdd7fa36e117d76663d53dd5a08ba2bb7369ec7763583c0d4b89048406539943a916046dc91d0e69eeba
+EBUILD tifffile-2023.1.23.1.ebuild 1600 BLAKE2B 2a75f65bcbe7cfa39d1d9778521c7c201c01e4bdaf5c5d24a47748e2eb6a849e7e1a1f508c1d49453de839bbfa2e0b0eaddbf8910c6d5a0fbb2e5364791a275e SHA512 ea82d23134791f8748abe1fcc0386fe57adb00d5eefe57174b3bbc2bca3c790538c13d78f675e5f1f4559b236a62738bcd613087a9c59893770466db90385dea
MISC metadata.xml 346 BLAKE2B 8cecb51fe01826a2a190c4e3020836f5706a918515a3ef5b4624fc3e9985411a8fd3c261fb7b6d8ad4f4486164487d11bdc2b071eeb5a95083db4c5323ae2dbe SHA512 81f8f6f5231d6cc9a8e7f95416a63cc52027f58fa54ce16bacfaa0ae285a48c5a3850d83d5ab50ca89be248ce386528db32811b23d61fa0d0e1e0cc737150465
diff --git a/dev-python/tifffile/tifffile-2023.1.23.1.ebuild b/dev-python/tifffile/tifffile-2023.1.23.1.ebuild
new file mode 100644
index 000000000000..66babf481615
--- /dev/null
+++ b/dev-python/tifffile/tifffile-2023.1.23.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Read and write TIFF files"
+HOMEPAGE="
+ https://pypi.org/project/tifffile/
+ https://github.com/cgohlke/tifffile/
+ https://www.cgohlke.com/
+"
+SRC_URI="
+ https://github.com/cgohlke/tifffile/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/numpy-1.19.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/dask[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ >=dev-python/fsspec-2021.5.0[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/xarray[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ tests/test_tifffile.py::test_class_omexml
+ tests/test_tifffile.py::test_class_omexml_fail
+ tests/test_tifffile.py::test_class_omexml_modulo
+ tests/test_tifffile.py::test_class_omexml_attributes
+ tests/test_tifffile.py::test_class_omexml_multiimage
+ tests/test_tifffile.py::test_write_ome
+ tests/test_tifffile.py::test_write_ome_manual
+ # requires tons of free space
+ tests/test_tifffile.py::test_write_3gb
+ tests/test_tifffile.py::test_write_5GB_bigtiff
+ tests/test_tifffile.py::test_write_5GB_fails
+ tests/test_tifffile.py::test_write_6gb
+ tests/test_tifffile.py::test_write_bigtiff
+ 'tests/test_tifffile.py::test_write_imagej_raw'
+ # TODO
+ tests/test_tifffile.py::test_issue_imagej_hyperstack_arg
+ tests/test_tifffile.py::test_issue_description_overwrite
+)